.notificationContainer {
    position: fixed;
    bottom: 20px;
    right: -500px;
    transition: right 0.5s, left 0.5s;
}
.notificationContainer.active {
    right: 20px;
}
.notificationBox {
    background: linear-gradient(135deg, #5869F2, #6658F2, #7958f2, #6a2ab4, #7958f2, #6658F2, #5869F2);
    box-shadow: 0 2px 10px rgba(255, 255, 255, 0.3);
    border-radius: 15px;
    z-index: 1000;
    padding: 15px;
    zoom: 1.1;
}
.notificationContent {
    display: flex;
    gap: 15px;
}
.notificationDetails {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 8px;
}
.profileImg {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    object-fit: cover;
    background-color: white;
    position: relative;
}
.profileImg img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
}
.profileImg span {
    position: absolute;
    bottom: -4px;
    right: -5px;
    transform: rotate(25deg);
    animation: swinging 1.2s infinite;
}
@keyframes swinging {
    0% { transform: rotate(25deg); scale: 1; }
    20% { scale: 1.12; }
    50% { transform: rotate(-25deg); scale: 1; }
    80% { scale: 1.12; }
    100% { transform: rotate(25deg); scale: 1; }
}
.notificationContent * {
    color: white;
    text-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
}
.notificationTitle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 18px;
}
.notificationTime {
    display: flex;
    align-items: center;
    gap: 2px;
    font-size: 16px;
    opacity: 0.8;
}
.notificationText {
    width: 300px;
    height: 30px;
    position: relative;
}
.notificationText * {
    position: absolute;
    top: 50%;
    left: 0;
    translate: 0 -50%;
    white-space: nowrap;
}
.notificationText p {
    transition: opacity 0.3s ease-in-out;
}
.notificationText button {
    border: none;
    border-radius: 10px;
    width: 100%;
    height: 100%;
    color: black;
    transition: scale 0.2s, opacity 0.3s ease-in-out;
    cursor: pointer;
}
.notificationText button:active {
    scale: 0.95;
}
.notificationBox .notificationText button {
    opacity: 0;
    pointer-events: none;
}
.notificationBox:hover .notificationText p {
    opacity: 0;
    pointer-events: none;
}
.notificationBox:hover .notificationText button {
    opacity: 1;
    pointer-events: all;
}